import request from '@/utils/request'

// 查询企业红包余额记录列表
export function listCompanyRedPacketBalanceLogs(query) {
  return request({
    url: '/company/companyRedPacketBalanceLogs/list',
    method: 'get',
    params: query
  })
}

// 查询企业红包余额记录详细
export function getCompanyRedPacketBalanceLogs(logsId) {
  return request({
    url: '/company/companyRedPacketBalanceLogs/' + logsId,
    method: 'get'
  })
}

// 新增企业红包余额记录
export function addCompanyRedPacketBalanceLogs(data) {
  return request({
    url: '/company/companyRedPacketBalanceLogs',
    method: 'post',
    data: data
  })
}

// 修改企业红包余额记录
export function updateCompanyRedPacketBalanceLogs(data) {
  return request({
    url: '/company/companyRedPacketBalanceLogs',
    method: 'put',
    data: data
  })
}

// 删除企业红包余额记录
export function delCompanyRedPacketBalanceLogs(logsId) {
  return request({
    url: '/company/companyRedPacketBalanceLogs/' + logsId,
    method: 'delete'
  })
}

// 导出企业红包余额记录
export function exportCompanyRedPacketBalanceLogs(query) {
  return request({
    url: '/company/companyRedPacketBalanceLogs/export',
    method: 'get',
    params: query
  })
}